Subject: [bug#77093] [PATCH v4 rust-team 00/22] Cargo.lock importer and build system changes.

From: Hilton Chain <[email-masked]>
Date: Sun, 01 Jun 2025 00:23:28 +0800

Hilton Chain <[email-masked]> writes:

> Hilton Chain <[email-masked]> writes:
>
>> Main changes since v3:
>> * ‘define-cargo-inputs’ macro suggested by Ludovic.
>> * ‘cargo-inputs-from-lockfile’ suggested by Zheng Junjie, which can be used in
>>   the guix.scm of a Rust project.
>> * Rephrase docstring.
>>
>> Some changes have been made on rust-team since v3, this revision also sends
>> all of them out for review.
>>
>> I'll change the terms Rust program & dependency to application & library, btw.
>>
>> Since there're too many patches in this issue, I think it would be better to
>> open a new one for documentation.
>
> Updated and reworded the documentation, submitted as #78280.
>
> I'll prepare deprecation and the blog post next.

Blog post sumbitted as: https://codeberg.org/guix/artwork/pulls/1